Welcome to the forum, Guest

TOPIC: Ubuntu MATE 17.10 .deb i386 trouble

Ubuntu MATE 17.10 .deb i386 trouble 2 years 11 months ago #3444

LobsterJ

Offline

Fresh Boarder

Posts: 17

Karma: 0

Love the YACreader software for my work Mac and PC, would love to read comics on my travel Ubuntu MATE machine.

It's i386, updated all the time, with Gdebi installed. I downloaded both 8.5.0 and the 9.0 beta that Luis suggested, and both times I am faced with inability to install, based on incomplete libraries, libunarr I believe. I try my best to keep knowledgeable, but I am lost at this point. I used sudo apt-get install libunarr, and anything else I could think of...

I acknowledge this is probably a lack of Ubuntu knowledge rather than a problem with YACReader, can some one lay it out for me?

Jason
The administrator has disabled public write access.

Ubuntu MATE 17.10 .deb i386 trouble 2 years 11 months ago #3447

selmf

Offline

Developer

Posts: 553

Thank you received: 115

Karma: 11

Ubuntu doesn't package libunarr, so you have to get it from my repository on the Opensuse build service:

build.opensuse.org/package/binaries/home...sitory=xUbuntu_17.04

Another option would be adding the build service as a repository, that way you'd automatically receive updates I do on the package. Please note that libunarr is only available on the stable repo, not on yacreader beta, so you'd have to add both if you want to use the beta repo ;)
My answers are not necessarily official YACReader statements but mostly represent my own opinion in technical matters.
Last Edit: 2 years 11 months ago by selmf.
The administrator has disabled public write access.

Ubuntu MATE 17.10 .deb i386 trouble 2 years 11 months ago #3449

LobsterJ

Offline

Fresh Boarder

Posts: 17

Karma: 0

Selmf,

So, I'll go download the .deb file for libunarr from the link you have provided, install it first, then the yacreader .deb file? Or every single one of the files you have linked to -- a folder with numerous xubuntu 17.04 files, including _buildenv

> libunarr-dev_1.0.1-1.1_i386.deb ~ this one? Goodness, I hope it's that easy. I'll report back tomorrow AM

I guess you're going to package a PPA for 18.04 (I hope!)

Jason
The administrator has disabled public write access.

Ubuntu MATE 17.10 .deb i386 trouble 2 years 11 months ago #3451

selmf

Offline

Developer

Posts: 553

Thank you received: 115

Karma: 11

I'm already providing repositories with all dependencies needed to install YACReader, so there is no need to for a PPA. You just have to follow the instructions provided here:

software.opensuse.org/download.html?proj...mf&package=yacreader

If you want to use the 9.0.0 beta version, you also have to add this repo:

software.opensuse.org/download.html?proj...ta&package=yacreader

Yes, two repositories in this case. The beta repo just contains YACReader, not the dependencies, so you need the stable repo too in this case.

Of course you can also download and install the .deb files manually ;)
My answers are not necessarily official YACReader statements but mostly represent my own opinion in technical matters.
The administrator has disabled public write access.

Ubuntu MATE 17.10 .deb i386 trouble 2 years 11 months ago #3452

LobsterJ

Offline

Fresh Boarder

Posts: 17

Karma: 0

Selmf,

I tried that one first! I recognize this format, using the Terminal, and have installed many programs in this manner. Copy, paste, double check it all came, and allow permissions with my authorization. I got some push back on this one in particular, I thought maybe it was the signature for 17.04 on my 17.10 system? I'll try it again tomorrow AM, in addition to installing the libunarr.deb

I'd be happy with just YACReader 8.5 working in the short term :)
The administrator has disabled public write access.

Ubuntu MATE 17.10 .deb i386 trouble 2 years 11 months ago #3454

selmf

Offline

Developer

Posts: 553

Thank you received: 115

Karma: 11

I'm not sure if it is the signature. Still, I have added Ubuntu 17.10 to the build targets so you can try this.
My answers are not necessarily official YACReader statements but mostly represent my own opinion in technical matters.
The administrator has disabled public write access.

Ubuntu MATE 17.10 .deb i386 trouble 2 years 11 months ago #3455

LobsterJ

Offline

Fresh Boarder

Posts: 17

Karma: 0

Success with the .deb installers, first the libunarr, then the 8.5 installer. Thanks :) I'll install the beta this week and report back any bugs.

I'll look at the PPA as well, get my pal to install it on her 64bit laptop. Thanks for the help Selmf! Now to read my Captain Marvel Adventures on the subway :)
The administrator has disabled public write access.

Ubuntu MATE 17.10 .deb i386 trouble 2 years 11 months ago #3459

LobsterJ

Offline

Fresh Boarder

Posts: 17

Karma: 0

Sooo... now that I have 8.5 correctly installed, can I also install the beta side by side? I'll install the dev libunarr, then the beta. Will it interfere with my 8.5 stable version? I'd love to help in some manner, even if only to corraborbate bugs.
The administrator has disabled public write access.

Ubuntu MATE 17.10 .deb i386 trouble 2 years 11 months ago #3460

selmf

Offline

Developer

Posts: 553

Thank you received: 115

Karma: 11

Side by side doesn't work. The beta will replace the current version and the final version will replace the beta once it is finished. Generally the beta should be stable enough for everyday usage, so there's no harm in using it.
My answers are not necessarily official YACReader statements but mostly represent my own opinion in technical matters.
The administrator has disabled public write access.

Ubuntu MATE 17.10 .deb i386 trouble 2 years 11 months ago #3463

LobsterJ

Offline

Fresh Boarder

Posts: 17

Karma: 0

Stable enough? Good enough for me now that I vaguely know what I'm up to. I'll report back end of week. Thanks for the heads-up about 8.5 being eaten by the beta. I would have been upset not knowing that
The administrator has disabled public write access.
Powered by Kunena Forum